Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::associative_choice_binder< C, L > Struct Template Reference

Helper class to operate aka:choice for associative container. More...

`#include <choice.h>`

List of all members.

## Public Types
typedef TYPENAME C::value_type | value_type
typedef TYPENAME C::iterator | iterator
typedef TYPENAME C::const_iterator | const_iterator
## Public Methods
| associative_choice_binder (C &container)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
template<class R> int | find_elements (R &r, const std::string &tagname) const

## Detailed Description

### template<class C, class L>
struct aka2::associative_choice_binder< C, L >

Helper class to operate aka:choice for associative container.

Parameters:

  C | container type.
  L | leaf class of aka:choice

Definition at line 430 of file choice.h.

## Member Typedef Documentation

template<class C, class L>
typedef TYPENAME C::const_iterator aka2::associative_choice_binder< C, L >::const_iterator

| const_iterator as C::const_iterator. Definition at line 436 of file choice.h. Referenced by aka2::associative_choice_binder< C, L >::begin(), and aka2::associative_choice_binder< C, L >::end().

template<class C, class L>
typedef TYPENAME C::iterator aka2::associative_choice_binder< C, L >::iterator

| iterator as C::iterator. Definition at line 434 of file choice.h. Referenced by aka2::associative_choice_binder< C, L >::begin(), and aka2::associative_choice_binder< C, L >::end().

template<class C, class L>
typedef TYPENAME C::value_type aka2::associative_choice_binder< C, L >::value_type

| value_type Definition at line 432 of file choice.h.

## Constructor & Destructor Documentation

template<class C, class L>
aka2::associative_choice_binder< C, L >::associative_choice_binder | ( | C & | container | ) | `[inline]`

  | constructor Parameters:
  container | aka:choice container.
Definition at line 441 of file choice.h.

## Member Function Documentation

template<class C, class L>
const_iterator aka2::associative_choice_binder< C, L >::begin | ( |  | ) | const`[inline]`

| const version of begin() Returns: the first const_iterator of a container Definition at line 460 of file choice.h. References aka2::associative_choice_binder< C, L >::const_iterator.

template<class C, class L>
iterator aka2::associative_choice_binder< C, L >::begin | ( |  | ) | `[inline]`

| returns the first iterator of a container. Returns: the first iterator of a container. Definition at line 447 of file choice.h. References aka2::associative_choice_binder< C, L >::iterator.

template<class C, class L>
const_iterator aka2::associative_choice_binder< C, L >::end | ( |  | ) | const`[inline]`

| const version of begin() Returns: the end const_iterator of a container Definition at line 466 of file choice.h. References aka2::associative_choice_binder< C, L >::const_iterator.

template<class C, class L>
iterator aka2::associative_choice_binder< C, L >::end | ( |  | ) | `[inline]`

| returns the end iterator of a container. Returns: the end iterator of a container. Definition at line 454 of file choice.h. References aka2::associative_choice_binder< C, L >::iterator.

template<class C, class L>
template<class R>
int aka2::associative_choice_binder< C, L >::find_elements | ( | R & | r,
|  | const std::string & | tagname
| ) | const`[inline]`

  | Find child element by tag name. Parameters:
  r | container(std::vector<>, std::list<>) to get results.
  tagname | tag name
  Returns: number of elements found. Exceptions:
  aka2::error | thrown when tag name is not defined.
Definition at line 476 of file choice.h.

The documentation for this struct was generated from the following file:

- choice.h